# isfinite

From cppreference.com
< c‎ | numeric‎ | math

Defined in header `<math.h>` |  |
#define isfinite(arg) /* implementation defined */ |  | (since C99)

Determines if the given floating point number `arg` has finite value i.e. it is normal, subnormal or zero, but not infinite or NaN. The macro returns an integral value.

FLT_EVAL_METHOD is ignored: even if the argument is evaluated with more range and precision than its type, it is first converted to its semantic type, and the classification is based on that.

### Parameters

arg | - | floating point value

### Return value

Nonzero integral value if `arg` has finite value, ​0​ otherwise.

### Example

Run this code

    #include <stdio.h>
    #include <math.h>
    #include <float.h>

    int main(void)
    {
        printf("isfinite(NAN)         = %d\n", isfinite(NAN));
        printf("isfinite(INFINITY)    = %d\n", isfinite(INFINITY));
        printf("isfinite(0.0)         = %d\n", isfinite(0.0));
        printf("isfinite(DBL_MIN/2.0) = %d\n", isfinite(DBL_MIN/2.0));
        printf("isfinite(1.0)         = %d\n", isfinite(1.0));
        printf("isfinite(exp(800))    = %d\n", isfinite(exp(800)));
    }

Possible output:

    isfinite(NAN)         = 0
    isfinite(INFINITY)    = 0
    isfinite(0.0)         = 1
    isfinite(DBL_MIN/2.0) = 1
    isfinite(1.0)         = 1
    isfinite(exp(800))    = 0

### References

- C11 standard (ISO/IEC 9899:2011):

  - 7.12.3.2 The isfinite macro (p: 236)

- C99 standard (ISO/IEC 9899:1999):

  - 7.12.3.2 The isfinite macro (p: 216-217)

### See also

fpclassify (C99) | classifies the given floating-point value (function)
isinf (C99) | checks if the given number is infinite (function)
isnan (C99) | checks if the given number is NaN (function)
isnormal (C99) | checks if the given number is normal (function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=c/numeric/math/isfinite&oldid=77271"